Bug 618742 - Changes to the default group are not saved when there are no nodes in the store
Summary: Changes to the default group are not saved when there are no nodes in the store
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby   
(Show other bugs)
Version: Development
Hardware: All
OS: Linux
medium
medium
Target Milestone: 1.3
: ---
Assignee: Will Benton
QA Contact: Martin Kudlej
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-27 15:55 UTC by Robert Rati
Modified: 2010-10-20 11:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 11:28:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Rati 2010-07-27 15:55:33 UTC
Description of problem:
Wallaby throws an exception when an unprovisioned node checks in with the store.  The store had no nodes in it, but had features configured on the default-group and the configuration had been successfully activated.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Remove all wallaby db files
2. Start wallaby
3. load default db
4. condor_confgure_pool --default-group -a -f Master,NodeAccess
5. Set requested params and activate
6. condor_configd -d
7. Check the ConfigLog for the error message from the store
  
Actual results:


Expected results:


Additional info:

Comment 1 Will Benton 2010-07-27 16:07:21 UTC
Changed bug title.

Comment 2 Will Benton 2010-07-27 17:12:16 UTC
Fixed on master.

Comment 3 Martin Kudlej 2010-08-25 14:29:45 UTC
I've tested this with wallaby-utils-0.6.3-1 on RHEL 5.5 x i386/x86_64 and there was exception.
I've tested this with wallaby-0.9.4-1 on RHEL 5.5 x i386/x86_64 and there is no exception. --> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.